SOLVED: Veeam Error – Changed Block Tracking Will Not Be Used For This VM Until You Upgrade the VM Hardware to Version 8.0 or Later on Server 2016

If you have recently upgraded your HyperV Servers or Cluster to Server 2016 and you are running Veeam, you may see the following error:

veeam-server2016-backup-failure-change-block-tracking-vm-version-8Changed Block Tracking Will Not Be Used For This VM Until You Upgrade the VM Hardware to Version 8.0 or Later

What this means is that Veeam will only perform FULL backups and not incrementals which is a bit of a crisis for most companies.

upgrade-vm-version-5-8-server2016Fortunately this is easy to fix, you simply need to upgrade the “Virtual Machine Version” (not to be confused with the Cluster Version, if you are using a Cluster):

  1. On each of your HyperV hosts, shut down all of the VM’s
    .
  2. Run the following PowerShell Command:
    Update-VMVersion *
    .
  3. Run the following PowerShell Command to ensure that all VM’s are at “8”
    Get-VM * | Format-Table Name, Version
    .

Once all of your VM’s are at version 8, you can restart your Veeam backup jobs and all will be well.

For more information on this process read this Microsoft doc.

Share This With Your Friends Now:
Facebooktwittergoogle_plusredditpinterestlinkedin

Leave a Reply